classification
Title: add deprecation since 3.5 for a few methods of inspect.
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mbussonn, miss-islington, terry.reedy, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2018-05-21 21:34 by mbussonn, last changed 2018-10-20 00:08 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7036 merged mbussonn, 2018-05-21 21:37
PR 9982 merged miss-islington, 2018-10-19 23:41
PR 9983 merged miss-islington, 2018-10-19 23:41
Messages (6)
msg317252 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-21 21:34
inspect's getargspec, as well as Signature's from_function, and from_builtin are deprecated. 

They all emits DeprecationWarning but: 

The deprecation warning does not say since which version since are deprecated. 
For the two Signature's methods, there is no documentation available, so finding this information is difficult. 

Many tool rely on introspection to provide object help via docstring, which also did not include this deprecation notice. 

Adding the deprecation informations to these 3 function/methods would be good to foster migration to newer ways.
msg317695 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-25 18:13
See also #33582 for 'formatargspec'.
msg328085 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-19 23:40
New changeset ded87d804e2a85b2a3ea9e7a11384b41fafdfa29 by Victor Stinner (Matthias Bussonnier) in branch 'master':
bpo-33594: Add deprecation info in inspect.py module (GH-7036)
https://github.com/python/cpython/commit/ded87d804e2a85b2a3ea9e7a11384b41fafdfa29
msg328092 - (view) Author: miss-islington (miss-islington) Date: 2018-10-19 23:59
New changeset 932ebc1e0ef9b0d5cd17370f5183bad0257d36f9 by Miss Islington (bot) in branch '3.6':
bpo-33594: Add deprecation info in inspect.py module (GH-7036)
https://github.com/python/cpython/commit/932ebc1e0ef9b0d5cd17370f5183bad0257d36f9
msg328095 - (view) Author: miss-islington (miss-islington) Date: 2018-10-20 00:05
New changeset c8348fb6d2ef1b5bb91d6eb5fbafdf42c4ae16ce by Miss Islington (bot) in branch '3.7':
bpo-33594: Add deprecation info in inspect.py module (GH-7036)
https://github.com/python/cpython/commit/c8348fb6d2ef1b5bb91d6eb5fbafdf42c4ae16ce
msg328096 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-20 00:08
Thanks Matthias Bussonnier!
History
Date User Action Args
2018-10-20 00:08:16vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg328096

stage: patch review -> resolved
2018-10-20 00:05:57miss-islingtonsetmessages: + msg328095
2018-10-19 23:59:56miss-islingtonsetnosy: + miss-islington
messages: + msg328092
2018-10-19 23:41:19miss-islingtonsetpull_requests: + pull_request9324
2018-10-19 23:41:12miss-islingtonsetpull_requests: + pull_request9323
2018-10-19 23:40:50vstinnersetnosy: + vstinner
messages: + msg328085
2018-05-25 18:13:09terry.reedysetnosy: + terry.reedy, yselivanov

messages: + msg317695
versions: - Python 3.5
2018-05-21 21:37:06mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6680
2018-05-21 21:34:32mbussonncreate